#ifndef _DEBUG_H
#define _DEBUG_H

struct _CHUNKDEF
{
	unsigned short int ID;	// The chunk's ID		
	char ChunkName[26];		// The name of the chunk
};


_CHUNKDEF CHUNKDEF[] =	{
	0x0000,	"\nUNDEFINED",
	0x0000,	"\nNULL",
	0x4D4D,  "PRIMARY",
	0x0100,	"MASTERSCALE",
	0x3D3D,	" OBJECTINFO",
	0x3D3E,	"MESH_VERSION",
	0x0002,	"VERSION",
	0x0011,	"MAT_COLOR_24",
	0x0030,	"MAT_INT_PERCENTAGE",
	0xAFFF,	"MATERIAL",
	0x4000,	"\nOBJECT",
	0xA000,	"MATNAME",
	0xA010,	"\nMAT_AMBIENT",
	0xA020,	"\nMAT_DIFFUSE",
	0xA030,	"\nMAT_SPECULAR",
	0xA040,	"\nMAT_SHININESS",
	0xA041,	"\nMAT_SHIN2PCT",
	0xA050,	"\nMAT_TRANSPARENCY",
	0xA052,	"\nMAT_XPFALL",
	0xA053,	"\nMAT_REFBLUR",
	0xA084,	"MAT_SELF_ILPCT",
	0xA087,	"MAT_WIRESIZE",
	0xA08A,	"MAT_XPFALLIN",
	0xA100,	"MAT_SHADING",
	0xA200,	"MATMAP",
	0xA300,	"MATMAPFILE",
	0xA351,	"MAT_MAP_TILING",
	0xA353,	"MAT_MAP_TEXBLUR",
	0x1100,	"MAT_BITMAP",
	0x3000,	"DEFAULT_VIEW",
	0x4100,	"OBJECT_MESH",
	0x4110,	"\n\tOBJECT_VERTICES",
	0x4120,	"\n\tOBJECT_FACES",
	0x4130,	"OBJECT_MATERIAL",
	0x4140,	"\n\tOBJECT_UV",
	0x4150,	"SMOOTH_GROUP",
	0x4160,	"\n\tMESH_MATRIX",
	0xB000,	"\n\nKEYFRAME",
	0xB00A,	"KEYFRAME_HEADER",
	0xB002,	"\nKEYFRAME_MESH",
	0xB005,	"LIGHT_NODE_TAG",
	0xB008,	"KEYFRAME_START_AND_END",
	0xB009,	"KEYFRAME_CURTIME",
	0xB010,	"\n\tKEYFRAME_OBJECT_NAME",
	0xB011,	"\n\tKEYFRAME_INSTANCE_NAME",
	0xB013,	"\n\t\tPIVOT",
	0xB014,	"\n\t\tBOUNDBOX",
	0xB020,	"\n\t\tPOSITION_TRACK_TAG",
	0xB021,	"\n\t\tROTATION_TRACK_TAG",
	0xB022,	"\n\t\tSCALE_TRACK_TAG",
	0xB030,	"\n\tKEYFRAME_NODEID"	
};


void GetChunkName(unsigned short ID, char *ChunkName)
{
	unsigned long ChunkDefSize = sizeof(CHUNKDEF)/sizeof(_CHUNKDEF);

	for(unsigned long i = 1; i < ChunkDefSize; i++)	
	{
		if(CHUNKDEF[i].ID == ID)
		{
			strcpy(ChunkName, CHUNKDEF[i].ChunkName);
			return;
		}
	}
	
	strcpy(ChunkName, CHUNKDEF[0].ChunkName);
	return;
}


#endif