#ifndef _MATERIALS_H
#define _MATERIALS_H

// This holds the information for a material.  It may be a texture map of a color.
// Some of these are not used, but I left them because you will want to eventually
// read in the UV tile ratio and the UV tile offset for some models.
class tMaterialInfo
{
public:
	char  strName[255];			// The texture name
	char  strFile[255];			// The texture file name (If this is set it's a texture map)
	float m_pDIFFUSE[4];		// The ambient color of the object (R, G, B, A)
	float m_pAMBIENT[4];		// The diffuse color of the object (R, G, B, A)	
	float m_pSPECULAR[4];		// The specular color of the object (R, G, B, A)
	float m_pSHININESS;			// The [0 - 128] glossiness of the material
	float m_pTRANSPARENCY;		// The % opacity of the material
	int   texureId;				// the texture ID
	float uTile;				// u tiling of texture  (Currently not used)
	float vTile;				// v tiling of texture	(Currently not used)
	float uOffset;			    // u offset of texture	(Currently not used)
	float vOffset;				// v offset of texture	(Currently not used)

	// Constructor
	tMaterialInfo();

	// Copy constructor
	tMaterialInfo(const tMaterialInfo& copy);

	// Destructor
	~tMaterialInfo();
};


#endif