#include <windows.h>
#include <gl\gl.h>			// Header File For The OpenGL32 Library

#include "ui.h"


/////////////////////////////////// INITGTUI \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*
/////
/////	This initializes the UI variables
/////
/////////////////////////////////// INITGTUI \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*

void initGTUI(void)
{
	GTUI.CameraPosition[0] = 300;	// Camera position X
	GTUI.CameraPosition[1] = 235;	// Camera position Y
	GTUI.CameraPosition[2] = 375;	// Camera position Z
	GTUI.ViewMode = GL_TRIANGLES;	// We want the default drawing mode to be normal
	GTUI.LightingToggle = true;		// Turn lighting on initially
	GTUI.LightPosition0[0] = 0;
	GTUI.LightPosition0[1] = 0;
	GTUI.LightPosition0[2] = 0;
	GTUI.Camera.PositionCamera(0, 50, 100,   0, 50, 0,   0, 1, 0);
	GTUI.CameraMode = 0;			// Alters common view angles
	GTUI.DiagMode = 0;				// Toggles pivot diagnostics
	GTUI.PivotDiag1 = 6;			// Objects that lack parents
	GTUI.PivotDiag2 = 6;			// Parents that have parents
	GTUI.PivotDiag3 = 6;			// Parents that lack parents
	GTUI.TransID = 0;				// Indicates selected key position
	GTUI.VertexID = 0;				// Indicates selected vertex
	GTUI.NodeID = 0;				// Indicates selected object	
	GTUI.FrameDelayToggle = 0;		// Change speed of animation
	GTUI.Black4f[0] = 0;
	GTUI.Black4f[1] = 0;
	GTUI.Black4f[2] = 0;
	GTUI.Black4f[3] = 1;
	GTUI.TransparencyTable[0] = GL_ZERO;
	GTUI.TransparencyTable[1] = GL_ONE;
	GTUI.TransparencyTable[2] = GL_SRC_COLOR;
	GTUI.TransparencyTable[3] = GL_ONE_MINUS_SRC_COLOR;
	GTUI.TransparencyTable[4] = GL_SRC_ALPHA;
	GTUI.TransparencyTable[5] = GL_ONE_MINUS_SRC_ALPHA;
	GTUI.TransparencyTable[6] = GL_DST_ALPHA;
	GTUI.TransparencyTable[7] = GL_ONE_MINUS_DST_ALPHA;
	GTUI.TransparencySrc = 1;
	GTUI.TransparencyDst = 2;	
	GTUI.camClock = GetTickCount();	
	GTUI.rdrClock = GetTickCount();
	GTUI.RDRCount = 1;	// Counts the number of displays per second
	GTUI.CAMCount = 1;	// Counts the number of camera changes per second	
	// GTUI.ModelCount // Model Count is set in WinMain
	GTUI.SelectedModel = 0; // Selects which model to display in single mode
	GTUI.ModelMode = 1; // By default show multiple models
	GTUI.TotalNormals = 0; // Count the number of normals
	GTUI.TotalTexVerts = 0; // Count the number of tex verts
	GTUI.TotalVerts = 0; // Count the number of Verts
	GTUI.TotalDisplayLists = 0; // Count the number of display lists
	GTUI.SignalDLRecompile = 0; // Indicates display lists should be recompiled
	GTUI.UseDLToggle = 1; // Use display lists by default
	GTUI.UseAttrib = 1; // Toggle pushing/popping attributes
	GTUI.UseMaterials = 1; // Toggle using materials
	GTUI.g_pivotType = 0; // Toggle pivot animation types
}